Ticket #36971

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Timestamp options for log files

Open Date: 2017-02-07 00:27 Last Update: 2017-09-01 13:45

Reporter: (Anonymous) Owner: maya
Type: Feature Requests Status: Closed
Component: Tera Term MileStone: (None)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

Consider an option to use UTC time (or recognise and ignore DST (daylight saving time)) when timestamping log files so that logs crossing changes from standard to daylight saving times maintain consistent times.

Consider an option for timestamp format to use full MSB to LSB format which is good for sorting (combined log files) e.g. yyyymmdd hh:mm:ss.sss - there's probably a "standard" date/time format which makes sense. This is less important as it can be "fixed" in software which might be utilised to combine log files.

Attachment File List

No attachments

Ticket History (3/6 Histories)

2017-02-07 00:27 Updated by: None
  • New Ticket "Timestamp options for log files" created
2017-02-08 22:30 Updated by: maya
Comment

Duplicate with #36205

2017-03-03 04:39 Updated by: None
Comment

I second this request! The current log file timestamp is quite difficult to parse correctly in Excel and is not possible to parse (well, for me anyway) in KaleidaGraph. If you could have several options for the timestamp form that would be great, e.g. 1) yyyy/mm/dd hh:mm:ss.sss 2) etc. 3) more etc.

Thank you!

2017-07-25 14:36 Updated by: doda
  • Milestone Update from (None) to Tera Term 4.96 (closed)
  • Owner Update from (None) to maya
  • Resolution Update from None to Fixed
2017-09-01 09:01 Updated by: None
2017-09-01 13:45 Updated by: doda
  • Milestone Update from Tera Term 4.96 (closed) to (None)
  • Ticket Close date is changed to 2017-09-01 13:45
  • Status Update from Open to Closed
Comment

Tera Term 4.96 is released. It has 2 new settings: LogTimestampUTC and LogTimestampFormat.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login